#ifndef VM_CONF_H_
#define VM_CONF_H_

struct task_conf {
	struct task_conf *next;
	int	mode;
	char	file_name[PATH_MAX];
	char	task_name[PATH_MAX];
	int	intrn;
};

struct vm_options {
	struct task_conf *tasks;
	char	work_dir[PATH_MAX];
	char	libcall_dir[PATH_MAX];
	char	exec_dir[PATH_MAX];
	char	socket[PATH_MAX];
	char	inet_addr[NAME_MAX];
	long 	cycle_timeout;
	int	priority;
	int	byte_order;
};

int read_config(const char *config_file, struct vm_options *vm_opt);

#endif /* VM_CONF_H_ */
